Bug 247420 - [as_IN] Additional special character rendering
Summary: [as_IN] Additional special character rendering
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: fonts-indic (Show other bugs)
(Show other bugs)
Version: 5.0
Hardware: All Linux
low
low
Target Milestone: ---
: ---
Assignee: Rahul Bhalerao
QA Contact:
URL:
Whiteboard:
Keywords: i18n
Depends On: 247233
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-09 07:15 UTC by Amitakhya Phukan
Modified: 2013-04-12 19:13 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-08 08:04:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0905 normal SHIPPED_LIVE fonts-indic bug fixes and enhancement update 2008-10-08 08:04:04 UTC

Description Amitakhya Phukan 2007-07-09 07:15:46 UTC
+++ This bug was initially created as a clone of Bug #247233 +++

Description of problem:
As a part of request from the community, I am including the Unicode character
U+09FA in the Inscript and Phonetic layouts for Assamese. But the rendering of
the character is wrong. The character appears above,to the left of the
consonant/vowel which follows it. At present, it is appearing in the same line
as the character that follows it. Also, it is not a consonant that combines or a
vowel mark that affects the pronunciation.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Provided the fonts-bengali are installed, please type the character in raw code.
2. The character should appear to have been typed above left relative to the
next vowel/consonant being typed. Should not depend on what follows it and the
movement to the upper left shouldn't happen after the consonant/vowel that
follows is being typed.
3.
  
Actual results:
The character is appearing in line with other characters.

Expected results:
The character should appear above the line with other characters.

Additional info:

-- Additional comment from aphukan@redhat.com on 2007-07-06 02:52 EST --
Created an attachment (id=158643)
Incorrect rendering while typing


-- Additional comment from aphukan@redhat.com on 2007-07-06 02:58 EST --
Created an attachment (id=158644)
Correct rendering

Please note that though the character appears to combine with the consonant, it
is actually not combining. Further more, though the character appears to the
above left of the consonant that follows it, while typing it alone, it should
appear like when you type superscripts, without change in font size.

Comment 1 Amitakhya Phukan 2008-01-14 07:58:04 UTC
can i have some update on this matter ? it has been 6 months...

Comment 4 Rahul Bhalerao 2008-08-01 09:35:12 UTC
Fixed in fedora, needs to be built for rhel

Comment 5 Rahul Bhalerao 2008-09-10 12:09:37 UTC
Fixed in fonts-bengali-2.3.1-1.

Comment 9 errata-xmlrpc 2008-10-08 08:04:25 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0905.html


Note You need to log in before you can comment on or make changes to this bug.